oracle.xdb.dom

## Class XDBDomImplementation

- java.lang.Object
- - oracle.xdb.dom.XDBDomImplementation

All Implemented Interfaces:
  DOMImplementation

Deprecated.
as of Oracle Database 11g release 1, use oracle.xml.parser.v2.XMLDOMImplementation

    public class XDBDomImplementation
    extends java.lang.Object
    implements DOMImplementation

This class implements the DOMImplementation class of DOM.

### Constructor Summary

Constructors
Constructor and Description
`XDBDomImplementation()` Deprecated.
`XDBDomImplementation(java.sql.Connection conn)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Document` `createDocument(java.lang.String namespaceURI, java.lang.String qualifiedName, DocumentType doctype)` Deprecated. create and return an empty document object and return it.
`DocumentType` `createDocumentType(java.lang.String qualifiedName, java.lang.String publicId, java.lang.String systemId)` Deprecated. create and return a document type defn. object and return it.
`java.lang.Object` `getFeature(java.lang.String feature, java.lang.String version)` Deprecated.
`boolean` `hasFeature(java.lang.String feature, java.lang.String version)` Deprecated. test if a particular feature is supported by the given version.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XDBDomImplementation

    public XDBDomImplementation()

Deprecated.

#### XDBDomImplementation

    public XDBDomImplementation(java.sql.Connection conn)

Deprecated.

### Method Detail

#### hasFeature

    public boolean hasFeature(java.lang.String feature,
                              java.lang.String version)

Deprecated.
test if a particular feature is supported by the given version. We do nothing currently.

Specified by:
  `hasFeature` in interface `DOMImplementation`
Parameters:
  `feature` - the name of the feature to test.
  `version` - the version of the DOM implementation
Returns:
  always true

#### createDocumentType

    public DocumentType createDocumentType(java.lang.String qualifiedName,
                                           java.lang.String publicId,
                                           java.lang.String systemId)
                                    throws DOMException

Deprecated.
create and return a document type defn. object and return it. We return null

Specified by:
  `createDocumentType` in interface `DOMImplementation`
Returns:
  always null
Throws:
  `DOMException` - INVALID_CHARACTER_ERR: Raised if the specified qualified name contains an illegal character.
  NAMESPACE_ERR: Raised if the `qualifiedName` is malformed.

#### createDocument

    public Document createDocument(java.lang.String namespaceURI,
                                   java.lang.String qualifiedName,
                                   DocumentType doctype)
                            throws DOMException

Deprecated.
create and return an empty document object and return it. This document does not conform to any schema.

Specified by:
  `createDocument` in interface `DOMImplementation`
Parameters:
  `namespaceURI` - the top level namespace of the document.
  `qualifiedname` - the QNAME of the top level element of the document
  `doctype` - the DTD if any to be used for this document.
Returns:
  the created document object
Throws:
  `DOMException`

#### getFeature

    public java.lang.Object getFeature(java.lang.String feature,
                                       java.lang.String version)

Deprecated.

Copyright © 2003, 2017, Oracle and/or its affiliates. All rights reserved.